Subject: Re: bug#35380: disk-image fails to install efi grub

From: Ludovic Courtès <[email-masked]>
Date: Thu, 25 Apr 2019 10:44:29 +0200

Hi rendaw,

rendaw <[email-masked]> skribis:

> Bug 2: So is it appears disk-image won't build with an EFI bootloader.
> I'm guessing that qemu is run with a bios boot image here, which is why
> grub's using i386-pc.

Exactly: currently QEMU is run with a plain old BIOS, and not with the
UEFI firmware, so what you want is not implemented yet (see the comment
in gnu/system/vm.scm:799).

I’m closing this bug, but you can open a wishlist item about it if you
want!

Thanks,
Ludo’.